> For the complete documentation index, see [llms.txt](https://docs.roboflow.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.roboflow.com/roboflow/roboflow-hi/deploy/dedicated-deployments/manage-dedicated-deployments-with-an-api.md).

# API के साथ Dedicated Deployments प्रबंधित करें

सूचनाएँ:

* सभी endpoints यहाँ होस्ट किए गए हैं `https://roboflow.cloud`.
* response code की जाँच करें:
  * अगर यह है `200`, तो response body को JSON object के रूप में decode करें।
  * अन्यथा, response body में एक error message string के रूप में होता है।

<details>

<summary>POST /add — एक dedicated deployment बनाएं</summary>

**Request Body Example (json)**

```
{
	"api_key": API_KEY,
	"deployment_name": "dev-testing",
	"machine_type": "dev-gpu",
	"creator_email": YOUR_EMAIL_ADDRESS,
	"duration": 3.0,
	"inference_version": "latest",
	"min_replicas": 1,
	"max_replicas": 1
}
```

**Request Body Schema (json)**

* api\_key (string): आवश्यक
* deployment\_name (string): आवश्यक
* machine\_type (string): आवश्यक
* creator\_email (string): आवश्यक
* duration (float): वैकल्पिक, इकाई hour है. default है `3`
* inference\_version (string): वैकल्पिक, default है `latest`
* min\_replicas (integer): वैकल्पिक, default है `1`
* max\_replicas (integer): वैकल्पिक, default है `1`

**Response Example (json)**

```
{
	"deployment_id": "IwzJ5YLQ0iDhwzqoh3Ae",
	"deployment_name": "dev-testing",
	"machine_type": "dev-gpu",
	"creator_email": YOUR_EMAIL_ADDRESS,
	"creator_id": YOUR_USER_ID,
	"subdomain": "dev-testing",
	"domain": "dev-testing.roboflow.cloud",
	"duration": 3.0,
	"inference_version": "0.45.0",
	"max_replicas": 1,
	"min_replicas": 1,
	"num_replicas": 0,
	"status": "pending",
	"workspace_id": YOUR_WORKSPACE_ID,
	"workspace_url": YOUR_WORKSPACE_URL
}
```

**Response Schema (json)**

* deployment\_id (string): एक अद्वितीय identifier
* deployment\_name (string)
* machine\_type (string)
* creator\_email (string)
* creator\_id (string): उस user id से संबंधित जो `creator_email`
* subdomain (string): हमेशा समान नहीं होता `deployment_name`, अगर subdomain पहले से लिया जा चुका है तो हम कुछ suffix जोड़ देंगे
* domain (string)
* duration (float)
* inference\_version (string)
* min\_replicas (integer)
* max\_replicas (integer)
* num\_replicas (integer): वर्तमान उपलब्ध replicas
* status (string)
* workspace\_id (string)
* workspace\_url (string)

</details>

<details>

<summary>GET /list — अपने workspace में dedicated deployments की सूची बनाएं</summary>

**क्वेरी पैरामीटर्स**

* api\_key (string): आवश्यक
* show\_expired (string): वैकल्पिक, default है `false`
* show\_deleted (string): वैकल्पिक, default है `false`

**Response Example (json)**

```
[
{
	"deployment_id": "IwzJ5YLQ0iDhwzqoh3Ae",
	"deployment_name": "dev-testing",
	"machine_type": "dev-gpu",
	"creator_email": YOUR_EMAIL_ADDRESS,
	"creator_id": YOUR_USER_ID,
	"subdomain": "dev-testing",
	"domain": "dev-testing.roboflow.cloud",
	"duration": 3.0,
	"inference_version": "0.45.0",
	"max_replicas": 1,
	"min_replicas": 1,
	"num_replicas": 0,
	"status": "pending",
	"workspace_id": YOUR_WORKSPACE_ID,
	"workspace_url": YOUR_WORKSPACE_URL
}
]
```

**Response Schema (json)**

dedicated deployment entries की एक सूची, जबकि प्रत्येक entry का schema वही होता है जैसा कि वर्णित है [/add](#post-add-create-a-dedicated-deployment) endpoint.

</details>

<details>

<summary>GET /get — एक dedicated deployment के विवरण प्राप्त करें</summary>

**क्वेरी पैरामीटर्स**

* api\_key (string): आवश्यक
* deployment\_name (string): आवश्यक

**Response Example (json)**

```
{
	"deployment_id": "IwzJ5YLQ0iDhwzqoh3Ae",
	"deployment_name": "dev-testing",
	"machine_type": "dev-gpu",
	"creator_email": YOUR_EMAIL_ADDRESS,
	"creator_id": YOUR_USER_ID,
	"subdomain": "dev-testing",
	"domain": "dev-testing.roboflow.cloud",
	"duration": 3.0,
	"inference_version": "0.45.0",
	"max_replicas": 1,
	"min_replicas": 1,
	"num_replicas": 0,
	"status": "pending",
	"workspace_id": YOUR_WORKSPACE_ID,
	"workspace_url": YOUR_WORKSPACE_URL
}
```

**Response Schema (json)**

वही schema जो response का है [/add](#post-add-create-a-dedicated-deployment) endpoint.

</details>

<details>

<summary>GET /get_log — एक dedicated deployment के logs प्राप्त करें</summary>

**क्वेरी पैरामीटर्स**

* api\_key (string): आवश्यक
* deployment\_name (string): आवश्यक
* max\_entries (integer): वैकल्पिक, default 50 है
* from\_timestamp (string): वैकल्पिक, [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) format में, default वर्तमान समय से 1 घंटा पहले है
* to\_timestamp (string): वैकल्पिक, [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) format में, default वर्तमान समय है

**Response Example (json)**

```
[
	{
		"insert_id": "gpwrgrw55p7b9jdq",
		"payload": "INFO:     10.18.0.38:46296 - \"GET /info HTTP/1.1\" 200 OK",
		"severity": "INFO",
		"timestamp": "2025-01-22T13:23:14.209436+00:00"
	},
	{
		"insert_id": "mbieh16zdjvqp81j",
		"payload": "INFO:     10.18.0.38:46294 - \"GET /info HTTP/1.1\" 200 OK",
		"severity": "INFO",
		"timestamp": "2025-01-22T13:23:14.208738+00:00"
	},
	{
		"insert_id": "0odfnfwh8ts6e4jt",
		"payload": "INFO:     10.18.0.38:54650 - \"GET /info HTTP/1.1\" 200 OK",
		"severity": "INFO",
		"timestamp": "2025-01-22T13:22:14.209054+00:00"
	},
	{
		"insert_id": "s3nabhyhejuke6ub",
		"payload": "INFO:     10.18.0.38:54640 - \"GET /info HTTP/1.1\" 200 OK",
		"severity": "INFO",
		"timestamp": "2025-01-22T13:22:14.208329+00:00"
	},
	{
		"insert_id": "2cz5u3jx4ma22tl8",
		"payload": "INFO:     10.18.0.38:40264 - \"GET /info HTTP/1.1\" 200 OK",
		"severity": "INFO",
		"timestamp": "2025-01-22T13:21:14.209900+00:00"
	}
]
```

**Response Schema (json)**

log entries की एक सूची, जबकि प्रत्येक entry में निम्नलिखित attributes होते हैं:

* insert\_id (string): प्रत्येक log entry के लिए अद्वितीय identifier
* payload (string): log content
* severity (string)
* timestamp (string)

</details>

<details>

<summary>POST /pause — एक dedicated deployment को pause करें</summary>

**Request Body Example (json)**

```
{
	"api_key": API_KEY,
	"deployment_name": "dev-testing"
}
```

**Request Body Schema (json)**

* api\_key (string): आवश्यक
* deployment\_name (string): आवश्यक

**Response Example (json)**

```
{
	"message": "OK"
}
```

**Response Schema**

* message (string)

</details>

<details>

<summary>POST /resume — एक dedicated deployment को resume करें</summary>

**Request Body Example (json)**

```
{
	"api_key": API_KEY,
	"deployment_name": "dev-testing"
}
```

**Request Body Schema (json)**

* api\_key (string): आवश्यक
* deployment\_name (string): आवश्यक

**Response Example (json)**

```
{
	"message": "OK"
}
```

**Response Schema**

* message (string)

</details>

<details>

<summary>POST /delete — एक dedicated deployment को delete करें</summary>

**Request Body Example (json)**

```
{
	"api_key": API_KEY,
	"deployment_name": "dev-testing"
}
```

**Request Body Schema (json)**

* api\_key (string): आवश्यक
* deployment\_name (string): आवश्यक

**Response Example (json)**

```
{
	"message": "OK"
}
```

**Response Schema**

* message (string)

</details>
